nxt.db

## Class PersistentDbTable<T>

- java.lang.Object
- - nxt.db.Table
  - - nxt.db.DerivedDbTable
    - - nxt.db.EntityDbTable<T>
      - - nxt.db.PersistentDbTable<T>

- Direct Known Subclasses:
    PrunableDbTable, VersionedPersistentDbTable

      public abstract class PersistentDbTable<T>
      extends EntityDbTable<T>

- - ### Field Summary

    - ### Fields inherited from class nxt.db.EntityDbTable

      `dbKeyFactory, LATEST`

    - ### Fields inherited from class nxt.db.Table

      `db, schema, schemaTable, table`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `PersistentDbTable(java.lang.String schemaTable, DbKey.Factory<T> dbKeyFactory)`
    `protected` | `PersistentDbTable(java.lang.String schemaTable, DbKey.Factory<T> dbKeyFactory, java.lang.String fullTextSearchColumns)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isPersistent()`
    `void` | `rollback(int height)`
    `void` | `truncate()`

    - ### Methods inherited from class nxt.db.EntityDbTable

      `checkAvailable, clearCache, createSearchIndex, defaultSort, get, get, get, getAll, getAll, getAll, getAll, getBy, getBy, getCount, getCount, getCount, getManyBy, getManyBy, getManyBy, getManyBy, getManyBy, insert, load, newEntity, popOffTo, save, search, search, trim`

    - ### Methods inherited from class nxt.db.Table

      `getConnection, getCount, getRowCount, getSchemaTable, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PersistentDbTable

          protected PersistentDbTable(java.lang.String schemaTable,
                                      DbKey.Factory<T> dbKeyFactory)

    - #### PersistentDbTable

          protected PersistentDbTable(java.lang.String schemaTable,
                                      DbKey.Factory<T> dbKeyFactory,
                                      java.lang.String fullTextSearchColumns)

  - ### Method Detail

    - #### rollback

          public void rollback(int height)

      Overrides:
        `rollback` in class `DerivedDbTable`

    - #### truncate

          public final void truncate()

      Overrides:
        `truncate` in class `DerivedDbTable`

    - #### isPersistent

          public final boolean isPersistent()

      Overrides:
        `isPersistent` in class `DerivedDbTable`